-- Copyright (c) 2004, Jim C. Nasby (decibel@rrs.decibel.org)
-- All rights reserved.
--
-- $Id: rrs.sql 42 2005-03-13 23:31:50Z decibel $

SET client_encoding = 'SQL_ASCII';

SET search_path = rrs, pg_catalog;

CREATE OR REPLACE VIEW rrs.history_data_interval_run_time_v AS
    SELECT h.*
            , CASE WHEN run_time_sec > 0
                THEN rrs.seconds_to_interval(
                        rrs.interval_to_seconds(data_interval)
                        * desired_run_time_sec
                        / run_time_sec
                    )
                END AS next_data_interval
        FROM
            ( SELECT rrs.interval_to_seconds(
                                rrs.setting_get('desired run time')::interval
                        ) AS desired_run_time_sec
            ) AS s
            , ( SELECT start_time, end_time, data_interval
                        , end_time - start_time AS run_time
                        , rrs.interval_to_seconds( end_time - start_time ) AS run_time_sec
                    FROM history_data_interval ) h
;

-- vi: expandtab sw=4 ts=4
