-- Copyright (c) 2004, Jim C. Nasby (decibel@rrs.decibel.org)
-- All rights reserved.
--
-- $Id: rrs.sql 57 2005-03-30 19:55:33Z decibel $

SET search_path = rrs, pg_catalog;

BEGIN;

CREATE TABLE version (
    component   text    NOT NULL CONSTRAINT version__component PRIMARY KEY
    , version     text    NOT NULL
) WITHOUT OIDs;
INSERT INTO version VALUES('schema','0.4.1');
INSERT INTO version VALUES('functions','0.4.1');
INSERT INTO version VALUES('views','0.4.1');

CREATE TABLE setting (
    setting_name    text    NOT NULL CONSTRAINT setting__name PRIMARY KEY
    , setting       text    NOT NULL
) WITHOUT OIDS;

CREATE TABLE history (
	start_time	timestamp with time zone CONSTRAINT history__start PRIMARY KEY
	, end_time	timestamp with time zone NOT NULL
) WITHOUT OIDs;

CREATE TABLE history_data_interval (
	data_interval	interval	NOT NULL
) INHERITS( history ) WITHOUT OIDs;

COMMIT;

-- vi: expandtab sw=4 ts=4
